-- Customer specific once-script RABO

SET ECHO ON
SPOOL xRABO#37460.lst
SET DEFINE OFF

-- Update kostensoort van facturen naar CF PREV CAL (=key 81) 
UPDATE fin_factuur
   SET prs_kostensoort_key = 81
 WHERE fin_factuur_key IN (100023, 100024, 100025, 100026, 100027);

-- Voeg ook tracking toe (key 89=FINDUPD)
INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
   SELECT SYSDATE,
          89,
          100023,
          'Kostensoort op verzoek van AAFM aanpepast naar CF PREV CAL'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100024,
          'Kostensoort op verzoek van AAFM aanpepast naar CF PREV CAL'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100025,
          'Kostensoort op verzoek van AAFM aanpepast naar CF PREV CAL'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100026,
          'Kostensoort op verzoek van AAFM aanpepast naar CF PREV CAL'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100027,
          'Kostensoort op verzoek van AAFM aanpepast naar CF PREV CAL'
     FROM DUAL;

-- Update kostensoort van facturen naar CF OND TERR (=key 83) 
UPDATE fin_factuur
   SET prs_kostensoort_key = 83
 WHERE fin_factuur_key IN
             (100029, 100056, 100030, 100057, 100012, 100058, 100013, 100059);

-- Voeg ook tracking toe (key 89=FINDUPD)
INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
   SELECT SYSDATE,
          89,
          100029,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100056,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100030,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100057,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100012,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100058,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100013,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL
   UNION ALL
   SELECT SYSDATE,
          89,
          100059,
          'Kostensoort op verzoek van AAFM aanpepast naar CF OND TERR'
     FROM DUAL;
     
COMMIT;     

BEGIN adm.systrackscriptId('$Id$'); END;
/

commit;

SPOOL OFF